Page MenuHomePhabricator

Efl.Ui.Textpath (Efl.Ui.Text) ?
Open, HighPublic

Description

Figure out if Efl.Ui.Textpath should fully inherit from Efl.Ui.Text or just implement more of Efl.Ui.Text interface.

cedric created this task.Dec 3 2017, 6:49 PM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 9:10 AM

A #Goal ticket should not be set to a milestone.

herdsman closed this task as Resolved.Dec 24 2018, 10:33 PM

Textpath is implemented via Edje (TEXTBLOCK), so no apparent relation to the Ui.Text object.

cedric reopened this task as Open.Dec 27 2018, 10:16 AM

Uh, implementation doesn't mean interface. I would need more justification as to why we have two API for text in our new interface. Could you elaborate @herdsman ?